import request from '@/utils/request'

// 查询广告域名列表
export function listAdDomain(query) {
  return request({
    url: '/ad/adDomain/list',
    method: 'get',
    params: query
  })
}
// 查询广告域名列表
export function listAll() {
  return request({
    url: '/ad/adDomain/listAll',
    method: 'get',
  })
}

// 查询广告域名详细
export function getAdDomain(id) {
  return request({
    url: '/ad/adDomain/' + id,
    method: 'get'
  })
}

// 新增广告域名
export function addAdDomain(data) {
  return request({
    url: '/ad/adDomain',
    method: 'post',
    data: data
  })
}

// 修改广告域名
export function updateAdDomain(data) {
  return request({
    url: '/ad/adDomain',
    method: 'put',
    data: data
  })
}

// 删除广告域名
export function delAdDomain(id) {
  return request({
    url: '/ad/adDomain/' + id,
    method: 'delete'
  })
}

// 导出广告域名
export function exportAdDomain(query) {
  return request({
    url: '/ad/adDomain/export',
    method: 'get',
    params: query
  })
}
